segmentation faultまわり。

  • このエントリーをはてなブックマークに追加
  • Pocket

セグメンテーション違反、signal 11のまわりのこと。

バッファオーバーフロー対策

exec-shield

/proc/sys/kernel/exec-shield
わたしのdebian lennyには入ってない。

randomize_va_space

$cat /proc/sys/kernel/randomize_va_space
2
リストで指定したもの以外は有効になってる。
私のつかうdebian lennyのデフォ設定のよう。

  • このエントリーをはてなブックマークに追加
  • Pocket

コメントを残す